Bug 702538 - [abrt] wallpapoz-0.5-5.fc15: wallpapoz:1301:treeview_selection_changed:UnboundLocalError: local variable 'parent' referenced before assignment
Summary: [abrt] wallpapoz-0.5-5.fc15: wallpapoz:1301:treeview_selection_changed:Unboun...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wallpapoz
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:329c56f8be9417cd95ab3f340ac...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-06 04:18 UTC by Timon
Modified: 2011-05-19 05:09 UTC (History)
1 user (show)

Fixed In Version: wallpapoz-0.5-6.fc14.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 04:29:40 UTC


Attachments (Terms of Use)
File: backtrace (832 bytes, text/plain)
2011-05-06 04:18 UTC, Timon
no flags Details
wallpapoz.xml (265.62 KB, text/plain)
2011-05-06 04:43 UTC, Timon
no flags Details

Description Timon 2011-05-06 04:18:30 UTC
abrt version: 2.0.1
executable: /usr/bin/wallpapoz
component: wallpapoz
uid: 500
package: wallpapoz-0.5-5.fc15
kernel: 2.6.38.5-22.fc15.x86_64
reason: wallpapoz:1301:treeview_selection_changed:UnboundLocalError: local variable 'parent' referenced before assignment
architecture: x86_64
username: timon
os_release: Fedora release 15 (Lovelock)
time: 1304655334

backtrace
-----
wallpapoz:1301:treeview_selection_changed:UnboundLocalError: local variable 'parent' referenced before assignment

Traceback (most recent call last):
  File "/usr/bin/wallpapoz", line 1359, in <module>
    wallpapozgui = Wallpapoz()
  File "/usr/bin/wallpapoz", line 128, in __init__
    self.load_treeview()
  File "/usr/bin/wallpapoz", line 789, in load_treeview
    self.treeview_selection_changed(None)
  File "/usr/bin/wallpapoz", line 1301, in treeview_selection_changed
    if parent == None:
UnboundLocalError: local variable 'parent' referenced before assignment

Local variables in innermost frame:
widget: None
position_iter: <GtkTreeIter at 0x2266080>
self: <__main__.Wallpapoz instance at 0x134c4d0>
filename: '/home/timon/\xd0\x9a\xd0\xb0\xd1\x80\xd1\x82\xd0\xb8\xd0\xbd\xd0\xba\xd0\xb8/wallpaperz/5167-1680x1050.jpg'

Comment 1 Timon 2011-05-06 04:18:33 UTC
Created attachment 497275 [details]
File: backtrace

Comment 2 Mamoru TASAKA 2011-05-06 04:34:02 UTC
Would you attach ~/.wallpapoz/wallpapoz.xml?

Also would you write in detail how you reproduced this issue?

Comment 3 Timon 2011-05-06 04:43:46 UTC
Created attachment 497278 [details]
wallpapoz.xml

Comment 4 Timon 2011-05-06 04:46:52 UTC
I just update wallpapoz to wallpapoz-0.5-5 and tried to run it.

I get this in terminal:
[timon@timon ~]$ wallpapoz 
/usr/bin/wallpapoz:79: GtkWarning: Theme file for default has no name

  self.main_window = gtk.glade.XML(self.wallpapoz_glade_file, "wallpapoz_window", APP)
/usr/bin/wallpapoz:79: GtkWarning: Theme file for default has no directories

  self.main_window = gtk.glade.XML(self.wallpapoz_glade_file, "wallpapoz_window", APP)
Traceback (most recent call last):
  File "/usr/bin/wallpapoz", line 1359, in <module>
    wallpapozgui = Wallpapoz()
  File "/usr/bin/wallpapoz", line 128, in __init__
    self.load_treeview()
  File "/usr/bin/wallpapoz", line 789, in load_treeview
    self.treeview_selection_changed(None)
  File "/usr/bin/wallpapoz", line 1301, in treeview_selection_changed
    if parent == None:
UnboundLocalError: local variable 'parent' referenced before assignment

Comment 5 Mamoru TASAKA 2011-05-06 06:47:36 UTC
Thank you. Modified rpms will be submitted soon.

Comment 6 Fedora Update System 2011-05-06 07:06:55 UTC
wallpapoz-0.5-6.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/wallpapoz-0.5-6.fc15

Comment 7 Fedora Update System 2011-05-06 07:08:14 UTC
wallpapoz-0.5-6.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/wallpapoz-0.5-6.fc14

Comment 8 Fedora Update System 2011-05-07 02:50:06 UTC
Package wallpapoz-0.5-6.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing wallpapoz-0.5-6.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/wallpapoz-0.5-6.fc14
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2011-05-09 15:13:39 UTC
wallpapoz-0.5-6.fc14.1 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/wallpapoz-0.5-6.fc14.1

Comment 10 Timon 2011-05-10 04:41:19 UTC
Works fine on f15. Thanks.

Comment 11 Fedora Update System 2011-05-19 04:29:35 UTC
wallpapoz-0.5-6.fc14.1 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-05-19 05:09:49 UTC
wallpapoz-0.5-6.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.